package com.thebrokenrail.energonrelics.block.entity;

import com.thebrokenrail.energonrelics.api.block.entity.helper.EnergyGeneratorBlockEntity;
import com.thebrokenrail.energonrelics.api.energy.tick.EnergyTickable;
import net.minecraft.block.entity.BlockEntityType;

import java.util.List;

public class CreativeEnergySourceBlockEntity extends EnergyGeneratorBlockEntity {
    public CreativeEnergySourceBlockEntity(BlockEntityType<?> type) {
        super(type);
    }

    @Override
    public long getDisplayEnergy() {
        return Long.MAX_VALUE;
    }

    @Override
    public List<EnergyTickable> startTick() {
        setEnergy(getDisplayEnergy());
        return super.startTick();
    }
}
