# Energy System Basics

## Vocabulary
| Term | Definition |
| --- | ---|
| Energy Receiver | A Block That Receives Energy |
| Energy Provider | A Block That Provides Energy |
| Network | A System Of Energy Receivers Connected To A System Of Energy Providers |
| Energon | The Base Unit Of Energy |

## Energy Provider Behavior
An Energy Provider provides energy to the Energy Receivers in its network. An Energy Provider can also be an Energy Receiver. An Energy Provider can only provide energy to an Energy provider that is in the same dimension and is at most 64 blocks away.

## Network Chip
The Network Chip is used to create and manipulate networks. To add an Energy Receiver to a network, use it with the Network Chip. To add an Energy Provider to a network, use it with the Network Chip, the Network Chip will be removed from your inventory. If a block is both an Energy Receiver and an Energy Provider, use it while sneaking to add it as an Energy Receiver to the network, and use it to add it as an Energy Provider to the network. To duplicate a Network Chip combine it with a [Circuit Board](ITEMS.md#user-content-circuit-board) in a crafting area.

## Switch
The Switch block is used to selectively activate different devices. It is an Energy Provider and an Energy Receiver. If it is receiving a Redstone signal it will propagate all the Energy Receivers in its sub-network to the Energy Providers in its main-network.